:root {
    --crimson: #991522;
    --red: #c90619;
    --light-red: #e2071c;
    --grey: #d0d0d0;
}

body {
    background: var(--grey);
    margin: 0;
}

* {
    transition: 0.2s;
}

.site-header {
    background: var(--crimson);
    padding: 25px 25px 50px 25px;
}

.site-header .header-content {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    max-width: 980px;
    margin: 0 auto;
}

.site-header .site-branding img {
    max-width: 200px;
    max-height: 100px;
    width: auto;
    height: 100%;
}

.site-header .divider {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

.site-header .social-buttons ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;

    list-style-type: none;
    margin: 0;
    padding: 0;
    gap: 16px;
}

.site-header nav ul {
    flex-flow: row wrap;
    gap: 10px;
}

.site-header nav li a {
    display: block;
    width: 100%;
    height: 100%;
    color: #d0d0d0;
    padding: 0 15px;
}

.site-header nav li {
    background-color: #8c0d19;
    line-height: 55px;
    border-radius: 2px;
}

.site-header nav li:hover {
    background: var(--red);
}

.site-header nav li.current_page_item {
    background: var(--red);
}

.site-header .menu-section {
    max-width: 70%;
}


.main-navigation.toggled ul {
    display: flex;
}

.main-navigation.toggled .menu-main-menu-container {
    width: 100vw;
    height: 100vh;
    position: fixed;
    z-index: 99;
    top: 0;
    left: 0;
    background: var(--crimson);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.main-navigation.toggled .menu-toggle {
    z-index: 999;
    position: fixed;
    top: 60px;
    right: 20px;
}

.main-navigation.toggled .menu-main-menu-container ul {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0; 
    overflow: scroll;
    max-height: 50vh;
}

.main-navigation.toggled .menu-main-menu-container ul li {
    line-height: 32px;
}

.main-navigation.toggled .menu-main-menu-container ul li a {
    text-align: center;
}

.site-main {
    background: var(--grey);
    display: flex;
    flex-flow: row wrap;
    align-items: flex-start;
    justify-content: center;
    gap: 16px;
}

.page-content {
    position: relative;
    top: -25px;
}

.page-content {
    background: white;
    max-width: 680px;
    width: 100%;
    padding: 20px;
}

.home .page-content {
    max-width: 980px;
    top: 0;
}

.home .hero {
    max-width: 1000px;
    width: 100%;
    margin:0 auto;
    z-index: 2;
    position: relative;
    top: -25px;
}

.home .hero .lightbox {
    line-height: 0;
}

.home .hero .lightbox-content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    color: white;
    background: rgba(0, 0, 0, 0.6);
    padding: 15px;
}

.home .hero .lightbox-content p {
    font-size: 20px;
    line-height: 20px;
    margin: 0;
}

.std-button a,
a.std-button,
button.std-button {
    background-color: var(--red);
    border-radius: 2px;
    padding: 10px 15px;
    border: 0;
    font: 14px "proxima-nova", sans-serif;
    color: #fff;
    min-height: 39px;
    text-decoration: none;
}

.std-button a:hover,
a.std-button:hover {
    background-color: var(--light-red);
    color: white;
    text-decoration: none;
}

.std-button a:visited,
a.std-button:visited,
.std-button a:active,
a.std-button:active {
    color: white;
}

.site-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 22px;
}

.site-footer .footer-content {
    background: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px;
    gap: 8px;
    width: 100%;
}

.site-footer .footer-content p {
    margin: 0;
}

.floating-sidebar {
    height: 200px;
    max-width: 310px;
    position: relative;
    top: -25px;
    width: 100%;
    display: flex;
    flex-direction: column;

    gap: 8px;
}

.floating-sidebar a {
    display: block;
    margin: 0 0 5px 0;
    text-align: center;
    font-size: 18px;
    width: 100%;

    cursor: pointer;
    background-color: #c90619;
    border-radius: 2px;
    padding: 14px 15px;
    min-height: auto;
}

.floating-sidebar .fb-embed {
    max-width: 100%;
    background: white;
    padding: 14px 24px;
}

h1.entry-title {
    margin-top: 0;
}

.join-page .entry-title {
    display: none;
}

.camping-page .page-content,
.posts-page.page-content,
.post-page.page-content,
.join-page .page-content {
    max-width: 960px;
    width: 90%;
}

.supporters-page .wp-block-image img {
    max-height: 130px;
    height: 100%;
    object-fit: contain;
}

.site-main.supporters-page .page-content .logo-block {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px 0 !important;
}

.site-main.supporters-page .page-content figure.wp-block-image {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 !important;
}

/* Blog Styles */
.entry-footer {
    display: none;
}